You are not logged in.

#1 2006-02-25 17:33:17

noamsml
Member
Registered: 2005-06-25
Posts: 42
Website

Help compiling the experimental Democracy Player for X11-GTK

When I try compiling the developer version of Democracy Player for X11-GTK, I get the following message:

/usr/bin/ld: cannot find -lboost_python

Now, I already have the boost package installed, do I need any specific boost python thing for ld to find the archive?


I summon daemons from the depths of /etc/rc.d

Offline

#2 2006-02-25 17:37:18

Snowman
Developer/Forum Fellow
From: Montreal, Canada
Registered: 2004-08-20
Posts: 5,212

Re: Help compiling the experimental Democracy Player for X11-GTK

I had similar problem. Patch the Makefile so it uses libboost_python-gcc.so instead of using libboost_python.so

Offline

#3 2006-02-26 11:06:31

codemac
Member
From: Cliche Tech Place
Registered: 2005-05-13
Posts: 784
Website

Re: Help compiling the experimental Democracy Player for X11-GTK

Yea, I just made a /var/abs/local/democracy dir early this week.  Haven't worked any on it yet, but let us know how far you get, and I'll be doing the same.

Offline

#4 2006-04-29 15:54:01

Arch
Member
Registered: 2005-11-05
Posts: 37

Re: Help compiling the experimental Democracy Player for X11-GTK

I'm having a similar problem as well.  I'm using the Fedora Core 4 binary version and I get this as the error message:

ImportError: /usr/lib/libboost_python.so.1: undefined symbol: PyUnicodeUCS4_FromEncodedObject

This signature just crossed the line.

Offline

#5 2006-04-30 18:34:59

tomk
Forum Fellow
From: Ireland
Registered: 2004-07-21
Posts: 9,839

Re: Help compiling the experimental Democracy Player for X11-GTK

AFAICS, boost-python is not the problem - Snowman's suggestion sorts that out. xulrunner, OTOH, is a different matter. The democracy build looks for mozilla headers in /opt/mozilla/include/mozilla-1.7.12, which Arch does not have. Our headers are in /opt/mozilla/include/xulrunner-1.8.0.1, so I'm getting a load of errors along these lines:

In file included from /home/tomk/builds/democracy/src/tv/platform/gtk-x11/frontend_implementation/MozillaBrowser.c:8:
/home/tomk/builds/democracy/src/tv/platform/gtk-x11/frontend_implementation/MozillaBrowser.h:3:25: error: gtkmozembed.h: No such file or directory
/home/tomk/builds/democracy/src/tv/platform/gtk-x11/frontend_implementation/MozillaBrowser.c:9:21: error: nsError.h: No such file or directory

A dirty big symlink (temporary, of course) from /opt/mozilla/include/xulrunner-1.8.0.1 to /opt/mozilla/include/mozilla-1.7.12 gets rid of those errors, but then you have others e.g.

In file included from /opt/mozilla/include/mozilla-1.7.12/nsError.h:42,
                 from /home/tomk/builds/democracy/src/tv/platform/gtk-x11/frontend_implementation/MozillaBrowser.c:9:
/opt/mozilla/include/mozilla-1.7.12/nscore.h:280: error: syntax error before 'nsresult'

Unfortunately, those kind of errors mean nothing to me, so that's as far as I can go.

Here are the PKGBUILDs I've tried, for whoever wants to take it further:

From tarball

# Contributor: Tom K <tomk>
pkgname=democracy
pkgver=0.8.2
pkgrel=1
pkgdesc="Open source internet TV platform"
depends=('xulrunner' 'boost' 'gnome-python-extras' 'pygtk' 'xine-lib')
makedepends=('pkgconfig' 'pyrex')
source=(ftp://ftp.osuosl.org/pub/pculture.org/$pkgname/src/Democracy-$pkgver-Source.tar.gz)
url="http://www.getdemocracy.com"
license="GPL"

build() {
  mv $startdir/src/Democracy-Player-$pkgver $startdir/src/tv

  cd $startdir/src/tv/platform/gtk-x11
  
  sed -i 's|boost_python|boost_python-gcc|' setup.py

  python setup.py install --root=$startdir/pkg || return 1
}

From SVN

# Contributor: Tom K <tomk>
pkgname=democracy-svn
pkgver=1484        
pkgrel=1
pkgdesc="Open source internet TV platform"
depends=('xulrunner' 'boost' 'gnome-python-extras' 'pygtk' 'xine-lib')
makedepends=('subversion' 'pkgconfig')
source=()
md5sums=()
url="http://www.getdemocracy.com"
license="GPL"

_svntrunk=https://svn.participatoryculture.org/svn/dtv/trunk
_svnmod=tv

build() {
  cd $startdir/src
  
  echo "t" | svn co $_svntrunk/$_svnmod --config-dir ./ -r $pkgver
  
  cp -r $_svnmod $_svnmod-backup
  cd $_svnmod/platform/gtk-x11
  
  sed -i 's|boost_python|boost_python-gcc|;s|mozilla-gtkmozembed|xulrunner-gtkmozembed|;s|mozilla-xpcom|xulrunner-xpcom|' setup.py

  python setup.py install --root=$startdir/pkg || return 1

  rm -rf ../$_svnmod
  mv ../$_svnmod-backup ../$_svnmod
}

Some changes to standard practice are required in both cases, because setup.py aborts if the path to it is anything other than $startdir/src/tv/platform/gtk-x11.

Offline

#6 2006-05-01 09:35:22

tomk
Forum Fellow
From: Ireland
Registered: 2004-07-21
Posts: 9,839

Re: Help compiling the experimental Democracy Player for X11-GTK

I've put the SVN build to one side for the moment, and made a couple of changes to the tarball build, as follows:

# Contributor: Tom K <tomk>
pkgname=democracy
pkgver=0.8.2
pkgrel=1
pkgdesc="Open source internet TV platform"
depends=('xulrunner' 'boost' 'gnome-python-extras' 'pygtk' 'xine-lib')
makedepends=('pkgconfig' 'pyrex')
source=(ftp://ftp.osuosl.org/pub/pculture.org/$pkgname/src/Democracy-$pkgver-Source.tar.gz)
url="http://www.getdemocracy.com"
license="GPL"

build() {
  mv $startdir/src/Democracy-Player-$pkgver $startdir/src/tv

  cd $startdir/src/tv/platform/gtk-x11
  
  sed -i 's|boost_python|boost_python-gcc|;s|mozilla-config|xulrunner-config|' setup.py
  sed -i 's|nsString.h|nsStringAPI.h|' frontend_implementation/MozillaBrowserXPCOM.cc

  python setup.py install --root=$startdir/pkg || return 1
}

It still doesn't work, but I've got it down to the following errors:

 /home/tomk/builds/democracy/src/tv/platform/gtk-x11/frontend_implementation/MozillaBrowserXPCOM.cc:215: error: 'nsAutoString' was not declared in this scope
/home/tomk/builds/democracy/src/tv/platform/gtk-x11/frontend_implementation/MozillaBrowserXPCOM.cc:215: error: expected `;' before 'emptyString'
/opt/mozilla/include/xulrunner-1.8.0.1/nsCOMPtr.h: At global scope:
/opt/mozilla/include/xulrunner-1.8.0.1/nsCOMPtr.h: In instantiation of 'nsDerivedSafe<nsIDOMCSSStyleDeclaration>':
/home/tomk/builds/democracy/src/tv/platform/gtk-x11/frontend_implementation/MozillaBrowserXPCOM.cc:216:   instantiated from here
/opt/mozilla/include/xulrunner-1.8.0.1/nsCOMPtr.h:197: warning: 'class nsDerivedSafe<nsIDOMCSSStyleDeclaration>' has virtual functions but non-virtual destructor
/home/tomk/builds/democracy/src/tv/platform/gtk-x11/frontend_implementation/MozillaBrowserXPCOM.cc: In function 'nsresult setElementStyle(GtkMozEmbed*, char*, char*,
 char*)':
/home/tomk/builds/democracy/src/tv/platform/gtk-x11/frontend_implementation/MozillaBrowserXPCOM.cc:216: error: 'emptyString' was not declared in this scope
/opt/mozilla/include/xulrunner-1.8.0.1/nsCOMPtr.h: At global scope:
/opt/mozilla/include/xulrunner-1.8.0.1/nsCOMPtr.h: In instantiation of 'nsDerivedSafe<nsIDOMEventTarget>':
/home/tomk/builds/democracy/src/tv/platform/gtk-x11/frontend_implementation/MozillaBrowserXPCOM.cc:244:   instantiated from here
/opt/mozilla/include/xulrunner-1.8.0.1/nsCOMPtr.h:197: warning: 'class nsDerivedSafe<nsIDOMEventTarget>' has virtual functions but non-virtual destructor
/home/tomk/builds/democracy/src/tv/platform/gtk-x11/frontend_implementation/MozillaBrowserXPCOM.cc: In function 'char* getContextMenu(void*)':
/home/tomk/builds/democracy/src/tv/platform/gtk-x11/frontend_implementation/MozillaBrowserXPCOM.cc:256: error: 'ToNewCString' was not declared in this scope
error: command 'gcc' failed with exit status 1

If I think of anything else to try, I'll post it. Any other ideas would be appreciated too. smile

Offline

#7 2006-05-02 20:02:56

phrakture
Arch Overlord
From: behind you
Registered: 2003-10-29
Posts: 7,879
Website

Re: Help compiling the experimental Democracy Player for X11-GTK

Technically it's boost that needs fixing, there should be symlinks from libboost_python-gcc.so to libboost_python.so

Offline

#8 2006-05-02 23:13:28

tomk
Forum Fellow
From: Ireland
Registered: 2004-07-21
Posts: 9,839

Re: Help compiling the experimental Democracy Player for X11-GTK

That would be useful, alright, but does boost have any bearing on the various "'*String' was not declared in this scope" errors?

I've since come across attempts to get this thing going on Gentoo, and they seem to be using gecko-sdk instead of xulrunner. The prevailing opinion over there seems to be that the Democracy Linux port is a bit of a mess right now.
Maybe 0.8.3 will move things along a bit - it's due in a few weeks, apparently.

Offline

#9 2006-05-07 02:38:30

kill
Member
Registered: 2004-09-30
Posts: 126

Re: Help compiling the experimental Democracy Player for X11-GTK

There is an easy fix for the xulrunner issue. Change instances of mozilla-config in setup.py to xulrunner-config. That will point it to the proper location.

Offline

#10 2006-05-07 07:34:33

tomk
Forum Fellow
From: Ireland
Registered: 2004-07-21
Posts: 9,839

Re: Help compiling the experimental Democracy Player for X11-GTK

I'm already doing that, but thanks for the suggestion.

Offline

#11 2006-05-17 16:33:23

Sigi
Member
From: Thurgau, Switzerland
Registered: 2005-09-22
Posts: 1,121

Re: Help compiling the experimental Democracy Player for X11-GTK

Is there some progress regarding Democracy Player?
I haven't tried to build it myself, but it looks like there are already enough Archers trying to do so.. ;-)


Dammit, haven't been here in a while. Still rocking Arch. smile

Offline

#12 2006-05-17 18:35:21

tomk
Forum Fellow
From: Ireland
Registered: 2004-07-21
Posts: 9,839

Re: Help compiling the experimental Democracy Player for X11-GTK

No progress for me, anyway. If I see anything relevant coming in on their SVN, I'll give it another go, but until then it's a waste of time.

Offline

#13 2006-05-21 04:04:30

yi
Member
Registered: 2006-02-27
Posts: 11

Re: Help compiling the experimental Democracy Player for X11-GTK

Any more progress on this?

Offline

Board footer

Powered by FluxBB